Retrieve list of Global partners

Retrieve a paginated list of all Global partners and their details. You can apply filters to narrow down the results based on specific criteria.

Query Params
string

Implemented filter mappings :

status - active or inactive
businessId - Partner's business id
name - Partner's name
branchCode - The branch code of the Partner
address - Address of the Partner.
city - City of the Partner.
partnerCountry - Partner's country ISO 2 code (e.g. "BG")
state - State of the Partner. Support 3166-2 code values in the following format Country ISO 3166-1 two-character code and a string of up to three alphanumeric country-specific subdivision codes.
language - 4 digit code (Language Code ISO (ISO 639-1) and COUNTRY Code ISO (ISO 3166-1))
organizationId - Organization ID
privateId - Private ID
taxId - Tax ID
bankAccountCountry - Partner's bank account country ISO 2 code (e.g. "US")
bankAccountIban - Partner's bank account IBAN (e.g. "NL62RABO9688157082")
bankAccountNumber - Partner's bank account number (e.g. "123456789")
bankAccountBic - Partner's bank account BIC (e.g. "BESTFRIENDS")
bankAccountBankCode - Partner's bank account bank code (e.g. "ABCD")

For example, when you need to fetch all "active" partners that have name "Partner" you need to run this query
filter=status=active partnerName=Partner

Condition values have to be escaped if they contain whitespace or operator symbols. To do so, enclose the whole value in double quotation marks
e.g. filter=status=active partnerName="Example Partner Name".


The following operators are supported in a filter term

OperatorNameDescriptionExample
=EqualExact match of a single valuebankAccountBankCode=ABCD
!=Not EqualNegated equalbankAccountBankCode!=ABCD
:InMatches field against list of comma separated valuesbankAccountBankCode:ABCD,BPPA,BPAP
!:Not InNegated InbankAccountBankCode!:ABCD,BPPA,BPAP
<field>ExistsA field without operator. Is true if the field is not null bankAccountBankCode
<field>!Not ExistsNegated exists. Is true if field is nullbankAccountBankCode!


The Equal (=) and Not-Equal (!=) operators can be used together with wildcards to match partial strings. A single asterisk (*) can be placed at the very start or end of a value to match any number of characters there.

Usage Name Description
bankAccountIban=foo* or bankAccountIban="foo"* Starts with Matches any string starting with the value.
bankAccountIban=*foo or bankAccountIban=*"foo" Ends with Matches any string ending with the value.
bankAccountIban=*foo* or bankAccountIban=*"foo"* Like Matches any string containing the value.


integer
Defaults to 1

Specify which page of results to return, one-based example starts from 1

integer
Defaults to 50

specifies the number of items per page

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json